Package it.ernytech.tdlib

## Class TdApi.AnswerCallbackQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AnswerCallbackQuery

Enclosing class:
  TdApi

    public static class TdApi.AnswerCallbackQuery
    extends TdApi.Function

Sets the result of a callback query; for bots only.

Returns `Ok`

### Field Summary

Fields
`int` `cacheTime` Time during which the result of the query can be cached, in seconds.
`long` `callbackQueryId` Identifier of the callback query.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `showAlert` If true, an alert should be shown to the user instead of a toast notification.
`java.lang.String` `text` Text of the answer.
`java.lang.String` `url` URL to be opened.

### Constructor Summary

Constructors
`AnswerCallbackQuery()` Default constructor.
`AnswerCallbackQuery​(long callbackQueryId, java.lang.String text, boolean showAlert, java.lang.String url, int cacheTime)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### callbackQueryId

    public long callbackQueryId

Identifier of the callback query.

#### text

    public java.lang.String text

Text of the answer.

#### showAlert

    public boolean showAlert

If true, an alert should be shown to the user instead of a toast notification.

#### url

    public java.lang.String url

URL to be opened.

#### cacheTime

    public int cacheTime

Time during which the result of the query can be cached, in seconds.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AnswerCallbackQuery

    public AnswerCallbackQuery()

Default constructor.

#### AnswerCallbackQuery

    public AnswerCallbackQuery​(long callbackQueryId,
                               java.lang.String text,
                               boolean showAlert,
                               java.lang.String url,
                               int cacheTime)

Constructor for initialization of all fields.

Parameters:
  `callbackQueryId` - Identifier of the callback query.
  `text` - Text of the answer.
  `showAlert` - If true, an alert should be shown to the user instead of a toast notification.
  `url` - URL to be opened.
  `cacheTime` - Time during which the result of the query can be cached, in seconds.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR